# Create a new inventory location

Products
            Plans
          
        
        
          
            
              
              Formerly ShipEngine
            
            
              Free
              Advanced
              Enterprise
            
          
          
            
              
            
            
              Free
              Starter
              Standard
              Premium
            
          
        
      
      
        
          Learn about products and plans
          
        
      
    

Creates an inventory location in an inventory warehouse. The name must follow the area - unit - shelf - bin layout defined in ShipStation, for example A1 - 12 - B2 - 24.

Endpoint: POST /v2/inventory_locations
Version: 2.0.0
Security: api_keys

## Request fields (application/json):

  - `name` (string, required)

  - `inventory_warehouse_id` (string, required)

  - `barcode` (string)
    Physical barcode label for warehouse location bins/shelves used during pick/pack operations. Optional field that accepts any string format.
    Example: "1234567890"

## Response 200 fields (application/json):

  - `inventory_location_id` (string)

  - `name` (string)

  - `inventory_warehouse_id` (string)

  - `created_at` (string)

  - `updated_at` (string)

  - `barcode` (string)
    Physical barcode label for warehouse location bins/shelves used during pick/pack operations
    Example: "1234567890"


